Get Overview Trend
curl --request GET \
--url https://api.slatehq.ai/ai-analytics-service/api/public/v1/analytics/overview/trend \
--header 'Authorization: <authorization>'import requests
url = "https://api.slatehq.ai/ai-analytics-service/api/public/v1/analytics/overview/trend"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.slatehq.ai/ai-analytics-service/api/public/v1/analytics/overview/trend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"points": [
{
"date": "<string>",
"brand": {
"name": "<string>",
"mentions": 123,
"avgPosition": 123,
"visibilityPct": 123
},
"competitors": [
{
"name": "<string>",
"mentions": 123,
"avgPosition": 123,
"visibilityPct": 123
}
]
}
]
}Analytics
Get Overview Trend
Retrieve time series visibility and mention data for your brand and top competitors.
GET
/
ai-analytics-service
/
api
/
public
/
v1
/
analytics
/
overview
/
trend
Get Overview Trend
Returns time series data points with brand and competitor metrics per date. Use this to visualize trends in mentions, position, and visibility over time.
Parameters
string
required
Bearer token. Format:
Bearer slat_<your-token>.integer
Number of days for the trend window (e.g.,
7, 30, 90).string
Start of date range. ISO 8601 format (e.g.,
2026-02-01T00:00:00Z).string
End of date range. ISO 8601 format.
number
Brand ID. Optional — if omitted, uses the workspace’s default brand.
number
Filter by topic ID.
string[]
Filter by one or more platforms:
CHATGPT, PERPLEXITY, GOOGLE_AI_OVERVIEW, GOOGLE_AI_MODE, GEMINI, CLAUDE.string
Filter by ISO country code for region.
string
Time bucket granularity. One of:
day, week, month. Default: day.integer
Number of top competitors to include in the trend. Default:
5.number
Filter by a single prompt ID.
number[]
Filter by multiple prompt IDs. Maximum 10 values.
Response
Returns200 OK with the trend data.
object[]
required
Array of time series data points.
Show trend point
Show trend point
string
required
Date for the data point. Format:
YYYY-MM-DD.object
required
Example
curl -s "https://api.slatehq.ai/ai-analytics-service/api/public/v1/analytics/overview/trend?dateRange=30&topicId=42&bucket=day&topCompetitors=3" \
-H "Authorization: Bearer slat_YOUR_TOKEN"
import requests
response = requests.get(
"https://api.slatehq.ai/ai-analytics-service/api/public/v1/analytics/overview/trend",
headers={
"Authorization": "Bearer slat_YOUR_TOKEN",
},
params={
"dateRange": 30,
"topicId": 42,
"bucket": "day",
"topCompetitors": 3,
},
)
trend = response.json()
for point in trend["points"]:
print(point["date"], point["brand"]["mentions"], point["brand"]["visibilityPct"])
const params = new URLSearchParams({
dateRange: "30",
topicId: "42",
bucket: "day",
topCompetitors: "3",
});
const response = await fetch(
`https://api.slatehq.ai/ai-analytics-service/api/public/v1/analytics/overview/trend?${params}`,
{
headers: {
"Authorization": "Bearer slat_YOUR_TOKEN",
},
}
);
const trend = await response.json();
console.log(trend.points.length, "data points");
Response
{
"points": [
{
"date": "2026-02-10",
"brand": {
"name": "MyBrand",
"mentions": 15,
"avgPosition": 2.1,
"visibilityPct": 80.0
},
"competitors": [
{
"name": "CompetitorA",
"mentions": 10,
"avgPosition": 3.2,
"visibilityPct": 65.0
}
]
},
{
"date": "2026-02-11",
"brand": {
"name": "MyBrand",
"mentions": 18,
"avgPosition": 2.0,
"visibilityPct": 82.0
},
"competitors": [
{
"name": "CompetitorA",
"mentions": 12,
"avgPosition": 3.0,
"visibilityPct": 68.0
}
]
}
]
}
Status codes
| Status | Description |
|---|---|
200 | Trend data returned. |
400 | promptIds exceeds maximum of 10 values. |
401 | Missing or invalid Bearer token. See Authentication. |
500 | Internal server error. |
What’s next
- Get Overview Summary — View aggregated KPIs.
- Get Citations Summary — View citation analytics.
Was this page helpful?